---
title: Temperature Update
slug: fourkites-api-reference/Wuuv-temperature-update
createdAt: 2024-02-05T08:13:55.000Z
---

:::ApiMethodV2
```json
{
  "name": "",
  "method": "POST",
  "url": "https://api.fourkites.com/load/update/dispatcher-api/async",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "A7Tsvgnmw7rglHtFt1mgt",
        "language": "curl",
        "code": "curl --location 'https://api.fourkites.com/load/update/dispatcher-api/async' \\\n--header 'Content-Type: application/json' \\\n--header 'apikey: testkey' \\\n--data '{\n    \"updates\": [\n        {\n            \"timeZone\": \"UTC\",\n            \"billToCode\": \"Shipper unique id\",\n            \"identifierKeys\": [\n                {\n                    \"identifier\": \"Load reference #1\",\n                    \"rawIdentifier\": \"Carrier format - Load reference #1\",\n                    \"identifierType\": \"Load reference identifier type in FourKites or Carrier company\" //If FourKites standard used, then only reference would be searched using given identifierType otherwise skipped\n                },\n                {\n                    \"identifier\": \"Load reference #2\",\n                    \"rawIdentifier\": \"Carrier format - Load reference #2\",\n                    \"identifierType\": \"Load reference identifier type in FourKites or Carrier company\"\n                },\n                {\n                    \"identifier\": \"Load reference #3\",\n                    \"rawIdentifier\": \"Carrier format - Load reference #3\",\n                    \"identifierType\": \"Load reference identifier type in FourKites or Carrier company\"\n                },\n                {\n                    \"identifier\": \"Load reference #4\",\n                    \"rawIdentifier\": \"Carrier format - Load reference #4\",\n                    \"identifierType\": \"Load reference identifier type in FourKites or Carrier company\"\n                }\n            ],\n            \"loadUpdate\": [\n                {\n                    \"temperatureUpdate\": {\n                        \"temperature\": \"temperature\",\n                        \"sensorName\": \"sensorName\",\n                        \"temperatureUnit\": \"temperatureUnit\",\n                        \"temperatureCheckCallTime\": \"temperatureCheckCallTime\",\n                        \"temperatureTimestamp\": \"temperatureTimestamp\"\n                    }\n                }\n            ]\n        }\n    ]\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "A7Tsvgnmw7rglHtFt1mgt"
  },
  "results": {
    "languages": [
      {
        "id": "WddmdrqmVG0OooSGjBrDt",
        "language": "202",
        "customLabel": "",
        "code": "{\n  \"requestId\": \"cfd1102b-444a-4355-a2ce-da89188fe7ad\",\n  \"status\": \"202\",\n  \"message\": \"API Request Accepted\",\n  \"timestamp\": \"2023-09-29T13:58:46.741844\"\n}"
      }
    ],
    "selectedLanguageId": "WddmdrqmVG0OooSGjBrDt"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "dRFHCfvD2xYNGhdeRf2pb",
  "legacyHash": "dRFHCfvD2xYNGhdeRf2pb"
}
```
:::

## Header

***

| **Content-Type** | application/json |
| ---------------- | ---------------- |
| **apikey**       | testkey          |

## Body

***

```json
{
    "updates": [
        {
            "timeZone": "UTC",
            "billToCode": "Shipper unique id",
            "identifierKeys": [
                {
                    "identifier": "Load reference #1",
                    "rawIdentifier": "Carrier format - Load reference #1",
                    "identifierType": "Load reference identifier type in FourKites or Carrier company" //If FourKites standard used, then only reference would be searched using given identifierType otherwise skipped
                },
                {
                    "identifier": "Load reference #2",
                    "rawIdentifier": "Carrier format - Load reference #2",
                    "identifierType": "Load reference identifier type in FourKites or Carrier company"
                },
                {
                    "identifier": "Load reference #3",
                    "rawIdentifier": "Carrier format - Load reference #3",
                    "identifierType": "Load reference identifier type in FourKites or Carrier company"
                },
                {
                    "identifier": "Load reference #4",
                    "rawIdentifier": "Carrier format - Load reference #4",
                    "identifierType": "Load reference identifier type in FourKites or Carrier company"
                }
            ],
            "loadUpdate": [
                {
                    "temperatureUpdate": {
                        "temperature": "temperature",
                        "sensorName": "sensorName",
                        "temperatureUnit": "temperatureUnit",
                        "temperatureCheckCallTime": "temperatureCheckCallTime",
                        "temperatureTimestamp": "temperatureTimestamp"
                    }
                }
            ]
        }
    ]
}
```
